Installer - Refactor #16932

Change shared_buffers PostgreSQL options to 25% of available RAM
10/14/2016 09:12 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: External modules
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1165776 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/271

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1165776
Description of problem:

Installed Satellite 6 on RHEL 6.5 and RHEL 7 and the postgres configuration is set to the default settings. Ex shared_buffers is
32MB and recommendation from postgres documentation is 25% of available RAM. Since Satellite 6 houses two databases with
different workloads in postgres (foreman and candlepin) we need to assess configuration changes that best support performance for
both databases.

This BZ is to track any suggested configuration changes to postgres for satellite 6.

Associated revisions

Revision b1b85f66 - 05/03/2018 12:59 PM - Ewoud Kohl van Wijngaarden
Fixes #16932 - Provide default postgresql tuning

History

#1 - 10/14/2016 09:19 AM - Dominic Cleal
- Project changed from Foreman to Installer

- Subject changed from Foreman installs postgres with default configuration
to Foreman installs postgres with default configuration

- Category set to External modules

This should be filed in the Puppet MODULES project if it the default values should be changed.

#2 - 10/14/2016 09:21 AM - Dominic Cleal
- Tracker changed from Bug to Refactor

- Subject changed from Foreman installs postgres with default configuration to Change shared_buffers PostgreSQL options to 25% of available RAM

#3 - 05/20/2017 09:57 AM - Anonymous
Stephen, did anything happen here? :)

#4 - 05/02/2018 11:48 AM - Ewoud Kohl van Wijngaarden
There has been progress:
e https:/github.com/theforeman/foreman-installer/commit/a6300830b37ddc1685348a135e4e79d7472ff9be allows overriding it via hiera

e https:/github.com/theforeman/foreman-installer/pull/271 changes the default to 512MB. While not 25%, should we consider this good enough
that it fixes it?

#5 - 05/02/2018 11:52 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden
https://bugzilla.redhat.com/show_bug.cgi?id=1165776
https://github.com/theforeman/foreman-installer/commit/a6300830b37ddc1685348a135e4e79d7472ff9be
https://github.com/theforeman/foreman-installer/pull/271

- Pull request https://github.com/theforeman/foreman-installer/pull/271 added

#6 - 05/03/2018 01:00 PM - Anonymous

- translation missing: en.field_release set to 330

#7 - 05/03/2018 01:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b1b85f667e6a6d75355¢c70f4876d068fdb044d60.

#8 - 07/11/2018 03:31 PM - Anonymous
- Target version deleted (1.18.0)
